If you have been using our Ubuntu repository (Kambing), you would have package failure. This was because in the few days, all of Ubuntu repository was having an invalid packages.gz file. The matter has been resolved upstream and now we are synchronizing with main Ubuntu repository. Please wait a moment until we have our site updated. Btw, I’m using Kubuntu Karmic and one simple line to describe it:

IT ROCKS!

One glitch, though, if you have an ATi card like mind, don’t upgrade you MESA into libgl1-mesa-dev_7.6.0-1ubuntu2. It appears a regression has made this card unusable. Other than that, watch out that drool! 😀